Subject: [dhcwg] RFC 3118, 4030 deployability and key management

From: "Apathotharanan, Ramasamy" <[email-masked]>
Date: Wed, 4 Jun 2008 05:51:33 +0000

Hi,

I am interested in the deployability of RFC 3118 and 4030.

I found that related topics were discussed from the year 2002 to 2006. The two broad areas of interest that were discussed fall under:
(1) what are the possible threats to DHCP
(2) coming up with other protocols to fill the gaps in RFC 3118 framework to address the identified threats/issues.

Though I found mention of the following drafts -- "draft-ietf-dhc-v4-threat-analysis-03.txt" and "draft-gupta-dhcp-auth-02.txt" , I was not able to get subsequent details on them.

I searched the mail archives. Still could not find answers to the following questions and it would be great to get these questions answered:

1. Is the problem of key management still relevant today for RFC 3118 & 4030 (The DHC charter still mentions this as a goal)? Is anyone working in this area OR has it moved to some other working group?
2. The threat-analysis draft document ("draft-ietf-dhc-v4-threat-analysis-03.txt") is supposed to provide inputs for possible extensions to RFC 3118. Can anyone provide details on the status of this document?
3. What is the status on an extension ("draft-gupta-dhcp-auth-02.txt") proposed to RFC 3118 by Vipul Gupta.
4. Finally, any other issues that prevent wide spread deployability of RFC 3118 & 4030?

Thanks & Regards
 -Ramudu

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg